grk::grk_line< T > Struct Template Reference

`#include <geometry.h>`

## Public Member Functions

| grk_line ()
| grk_line (T _x0, T _x1)
T | length () const

## Public Attributes

T | x0
T | x1

## Constructor & Destructor Documentation

## grk_line() [1/2]

template<typename T >

grk::grk_line< T >::grk_line | ( |  | ) |

inline

## grk_line() [2/2]

template<typename T >

grk::grk_line< T >::grk_line | ( | T | _x0,
|  | T | _x1
| ) |  |

inline

## Member Function Documentation

## length()

template<typename T >

T grk::grk_line< T >::length | ( |  | ) | const

inline

References grk::grk_read(), grk::grk_line< T >::x0, and grk::grk_line< T >::x1.

## Member Data Documentation

## x0

template<typename T >

T grk::grk_line< T >::x0

Referenced by grk::grk_line< T >::length().

## x1

template<typename T >

T grk::grk_line< T >::x1

Referenced by grk::grk_line< T >::length().

The documentation for this struct was generated from the following file:

- geometry.h